Bug 196886 - Handle unmute in an elegant way
Summary: Handle unmute in an elegant way
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-17 16:46 UTC by Pascal d'Hermilly
Modified: 2011-08-10 07:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal d'Hermilly 2009-06-17 16:46:25 UTC
Version:            (using KDE 4.2.90)
Installed from:    Ubuntu Packages

Current behaviour for unmute is to resume the same volume as before mute was pressed: that is a good feature to have and works well.
However, sometimes mute is pressed because the computer made a lot more noise than expected. Now the user wants to resume sound, but not as loud. If the user presses the Volume up or volume down, the volume should start from 0 (which corresponds to mute) instead of the volume level before mute. This is the way e.g. the new Audi cars does it. 

Scenario: Bill presses the mute button because he did not expect such loud music from his computer. He then presses Volume up button to adjust the sound to his liking from silent. If he had pressed unmute the volume would have gone back to the volume when he unmuted.
Comment 1 Christian Esken 2011-08-09 19:44:55 UTC
Nice feature. Will probably implement it.
Comment 2 Christian Esken 2011-08-09 20:26:32 UTC
SVN commit 1246045 by esken:

FEATURE: 196886
Elegant unute handling: Automatic unmuting on volume increase

 M  +1 -0      core/mixdevice.cpp  
 M  +1 -0      core/mixdevice.h  
 M  +15 -5     gui/mdwslider.cpp  
 M  +1 -1      gui/mdwslider.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1246045
Comment 3 Pascal d'Hermilly 2011-08-10 07:31:49 UTC
Thanks :-)